<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCCounter" description="Компонент счетчик"
	fileName="NPCCounter.jar" className="org.mati.npc.components.counter.NPCCounter"
	version="8872" time="17.02.2009 01:05:07">

	<!--INLINKS BEGIN-->
	<INLink name="InIncrease"
		description="Связь, служащая для увеличения значения при помощи суммирования его с заданным значением шага."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InDecrease"
		description="Связь, служащая для уменьшения значения при помощи вычитания из него заданного значения шага."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutIsErrorOccured"
		description="Связь, служащая для сообщения о успешности установки нового значения. TRUE - значение установлено успешно, FALSE - произошла ошибка."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutGetValue"
		description="Связь, служащая для получения текущего значения."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutSetValue"
		description="Связь, служащая для назначени нового значения."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutGetValueFromString"
		description="Связь, служащая для получения текущего значения из строки."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutSetValueToString"
		description="Связь, служащая для назначени нового значения в качестве строки."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="StepValue" description="Значение шага."
		defaultValue="1"
		type="java.lang.Float" nullable="false">
	</Attribute>
	<Attribute name="FloatFormat"
		description="Формат числа для преобразования его в строку."
		type="java.lang.String" nullable="false" defaultValue="%.1f">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
